/**
 * 
 */
package org.richfaces.event.extdt;

import javax.faces.component.UIComponent;
import javax.faces.event.FacesEvent;
import javax.faces.event.FacesListener;

/**
 * @author pawelgo
 *
 */
public class ExtTableFilterEvent extends FacesEvent {

	private static final long serialVersionUID = -5710321006307753098L;

	public ExtTableFilterEvent(UIComponent uiComponent) {
		super(uiComponent);
	}

	/* (non-Javadoc)
	 * @see javax.faces.event.FacesEvent#isAppropriateListener(javax.faces.event.FacesListener)
	 */
	@Override
	public boolean isAppropriateListener(FacesListener faceslistener) {
		return (faceslistener instanceof ExtTableFilterListener);
	}

	/* (non-Javadoc)
	 * @see javax.faces.event.FacesEvent#processListener(javax.faces.event.FacesListener)
	 */
	@Override
	public void processListener(FacesListener faceslistener) {
		((ExtTableFilterListener)faceslistener).processFilter(this);

	}

}
